> ## Documentation Index
> Fetch the complete documentation index at: https://docs.killb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payin by ID

> Returns a single payin by ID for the authenticated customer.



## OpenAPI

````yaml https://killb.app/api/v2/open-api-json get /api/v2/payins/{id}
openapi: 3.0.0
info:
  title: Tarantino V2 API
  description: Tarantino V2 REST API documentation
  version: 2.0.0
  contact: {}
servers:
  - url: https://sandbox.killb.app
    description: Sandbox
  - url: https://killb.app
    description: Production
security: []
tags: []
paths:
  /api/v2/payins/{id}:
    get:
      tags:
        - Payins
      summary: Get Payin by ID
      description: Returns a single payin by ID for the authenticated customer.
      operationId: PayinController_getById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePayinResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    CreatePayinResponseDto:
      type: object
      properties:
        id:
          type: string
          example: e8d74b2f-86df-43b0-a9d9-72055a6b0432
        amount:
          type: number
          example: 8000
        currency:
          type: string
          enum:
            - COP
            - MXN
            - USDC
            - USDT
          example: COP
        method:
          type: string
          enum:
            - PSE
            - SPEI
            - TRANSFIYA
            - POLYGON
            - ERC20
            - SOLANA
            - BSC
            - TRON
          example: PSE
        paymentInfo:
          description: >-
            Deposit instructions for the customer to fund the payin: a crypto
            deposit address/network for crypto methods, or a virtual account for
            bank rails.
          type: array
          items:
            type: string
        status:
          type: string
          enum:
            - CREATED
            - COMPLETED
            - FAILED
            - ERROR
            - REFUNDED
            - KYT_IN_CREATE
            - KYT_IN_PENDING
            - KYT_IN_PROCESSING
            - KYT_IN_COMPLETED
            - KYT_IN_FAILED
            - CASH_IN_CREATED
            - CASH_IN_REQUEST
            - CASH_IN_REQUESTED
            - CASH_IN_PENDING
            - CASH_IN_PROCESSING
            - CASH_IN_COMPLETED
            - CASH_IN_CANCELED
            - CASH_IN_REJECTED
            - CASH_IN_FAILED
            - CASH_IN_ERROR
            - REFUND_CREATE
            - REFUND_CREATED
            - REFUND_REQUEST
            - REFUND_REQUESTED
            - REFUND_PENDING
            - REFUND_PROCESSING
            - REFUND_COMPLETED
            - REFUND_FAILED
          example: CASH_IN_CREATED
        details:
          type: string
          description: Notes about issues or observations related to the payin
          example: Payment processed successfully
        externalId:
          type: string
          example: d00e4f43-2022-42f3-ba1c-dcf4c1dcd934
        metadata:
          type: object
          description: Arbitrary object provided by the client at payin creation.
          example:
            orderId: abc123
            channel: mobile
        createdAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
        updatedAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
      required:
        - id
        - amount
        - currency
        - method
        - status
        - createdAt
        - updatedAt
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: string
          example: API_USER.0001
        arguments:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestArgument'
        message:
          example:
            - User not found
            - Account not found
          type: array
          items:
            type: string
        statusCode:
          type: string
          example: '400'
      required:
        - errorCode
        - arguments
        - message
        - statusCode
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: string
          example: '500'
        message:
          example:
            - Internal server error
          type: array
          items:
            type: string
      required:
        - statusCode
        - message
    BadRequestArgument:
      type: object
      properties:
        key:
          type: string
          example: email
        value:
          type: string
          example: invalid@email.com
      required:
        - key
        - value
  securitySchemes:
    jwt:
      flows:
        implicit:
          authorizationUrl: /auth/login
          scopes: {}
      type: oauth2
      x-google-issuer: INTERNAL_PRODUCTION
      x-google-audiences: TARANTINO_API
      x-google-jwks_uri: https://storage.googleapis.com/public_keys_jwk/public-prod.json

````